Subject: Adding the Hare language

From: [email-masked]
Date: Fri, 29 Apr 2022 16:06:45 +0000

The Hare language has recently gone public: <https://harelang.org>. I have added the toolchain to Guix 'R Us, and I'm going to send it here once I've done everything I want to with it.

This is what I intend to send:
* package qbe
  * Hare compiles to QBE IL.
* package harec
  * The bootstrap compiler in C.
  * This will be replaced with harec2, written in Hare.
    * harec1 will still be maintained, so we will always have a bootstrap path for Hare!
* package hare
  * This is the build driver. It will also include harec2 once it's done.
* package hare-toolchain
  * This package propagates QBE, harec, and hare.
* package hare-compress
  * Compression library for Hare with flate and zlib support.
* package hare-png
  * A PNG loader.
* package hare-redis
  * Hare interfaces to Redis.
* package hare-xml
  * Parser for a subset of XML.
* package hare-rss
  * RSS feed library.
* package hare-atom
  * Atom feed library.
* package hare-scfg
  * Library for the 'simple configuration' format.
* package hare-linux
  * Extra support for unportable Linux kernel APIs.
* package hare-irc
  * An IRC library, obviously.
* build system hare-build-system
  * A make-based build system that sets $HAREFLAGS appropriately and depends on hare-toolchain.